#
# spec file for package net-snmp (Version 5.3.0.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           net-snmp
%define netsnmp_logfile /var/log/net-snmpd.log
BuildRequires:  openssl-devel rpm-devel sensors tcpd-devel
License:        Other License(s), see package
Version:        5.3.0.1
Release:        25.35.1
Summary:        SNMP Daemon
Group:          Productivity/Networking/Other
Url:            http://sourceforge.net/projects/net-snmp
Provides:       snmp ucdsnmp
Obsoletes:      snmp ucdsnmp
PreReq:         %insserv_prereq %fillup_prereq /sbin/chkconfig
Requires:       perl-TermReadKey logrotate
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Source1:        rc.net-snmp
Source2:        snmpd.conf
Source3:        README.SuSE
Source4:        rc.snmptrapd
Source5:        net-snmp.logrotate
Source6:        test_installed
Source7:        %{name}.sysconfig
Patch:          %{name}-5.3.0.1-audit.diff
Patch1:         %{name}-5.2.1-acinclude.diff
Patch2:         %{name}-5.2.1-autoconf.diff
Patch3:         %{name}-5.2.1-localperl.diff
Patch5:         %{name}-5.2.1-socket_path.diff
Patch12:        %{name}-5.2.1-perl.diff
Patch15:        net-snmp-5.3.0.1-64bit.diff
Patch18:        %{name}-5.2.1-versinfo.diff
Patch22:        %{name}-5.2.1-overflow.diff
Patch24:        %{name}-5.2.1-compat.patch
Patch27:        %{name}-5.2.1-acquotation.patch
Patch28:        %{name}-5.2.1.testing.empty_arptable.patch
Patch31:        %{name}-5.1.1-pie.patch
Patch32:        net-snmp-5.3_vendorperl.patch
Patch33:        net-snmp-5.3_perl-printf.patch
Patch34:        net-snmp-5.3_perl_agent.xs-pointersize.patch
Patch35:        net-snmp-5.3.0.1_disman_mib_crash.patch
Patch36:        net-snmp-5.3.0.1_netsnmp_register_mib_crash.patch
Patch37:        net-snmp-5.3.0.1-smux-trap.diff
Patch38:        net-snmp-5.3.0.1_linux_types_header.patch
Patch39:        net-snmp-5.3.0.1_agentx_socket_path_doc.patch
Patch40:        net-snmp-5.3.0.1_tunnel_compilation.patch
Patch41:        net-snmp-5.3.0.1_tcpwrapper_log_severity.patch
Patch42:        net-snmp-5.3.0.1_ethtool.patch
Patch43:        net-snmp-5.3.0.1_testsuite_no_smux.patch
Patch44:        net-snmp-5.3.0.1_missing_ifNumber.patch
Patch45:        net-snmp-5.3.0.1_sighup_vacm.patch
Patch46:        net-snmp-5.3.0.1_deprecated_sysctl_retrans_time.patch
Patch47:        net-snmp-5.3.0.1_perl_ld_run_path.patch
Patch48:        net-snmp-5.3.1-smux-password.diff
Patch49:        net-snmp-5.4_default_store_return_value.patch
Patch50:        bug-132316_net-snmp-5.1.3.1_order.patch
Patch51:        net-snmp-5.3.0.1_large_log_message_crash.patch
Patch52:        net-snmp-5.3.0.1_CVE-2007-5846.patch
Patch53:        net-snmp-5.3.0.1_empty_smux_peer_password.patch
Patch54:        bug-361495_proxy-free.diff
Patch55:        net-snmp-5.x_auth_bypass.patch
Patch56:        net-snmp-5.3.0.1_perl_bindings_overflow.patch
Patch57:        net-snmp-5.3.1-patch_query-leak.patch
Patch58:        net-snmp-5.3.0.1_trap-agent-addr_v2.patch
Patch61:        net-snmp-5.3.x_duplicate_registration.patch
Patch62:        net-snmp-5.3-shared-ip-4.patch
Patch63:        net-snmp-5.3.x_getbulk_dos.patch
Patch64:        net-snmp-5.3.x_embedded_perl_error_message.patch
Patch65:        net-snmp-5.3.x_bug_481490.patch
Patch66:        net-snmp-5.4.x_host_information_disclosure.patch
Patch67:        net-snmp-5.4.2_velocity-mib.patch
Patch68:        net-snmp-5.3.x_snmptrapd-append-log.patch
Patch69:        net-snmp-5.3.x_snmptrapd-hostname.patch
Patch70:        net-snmp-5.3.x_cpu-load.patch
Patch71:        net-snmp-5.3.x_counter-wrap-crash.patch
Patch72:        net-snmp-5.3.x_integer-truncation-debug.patch
Patch73:        net-snmp-5.3.x_file-descriptor-leak.patch
Patch74:        net-snmp-5.3.x_snmp_udp_transport-memory-leak.patch
Patch75:        net-snmp-5.3.x_fully-qualified-oid-lookups.patch
Patch76:        net-snmp-5.3.x_fix-process-checking-race.patch
Patch77:        net-snmp-5.3.x_ip-mib-ipaddress-fixes.patch
Patch78:        net-snmp-5.3.x_fix-ifspeed-and-ifhighspeed.patch
Patch79:        net-snmp-5.3.x_fix-snmpTargetAddrRowStatus-set.patch
Patch80:        net-snmp-5.3.x_fix-clientaddr.patch

%description
This package was originally based on the CMU 2.1.2.1 snmp code. It has
been greatly modified, restructured, enhanced, and fixed. It hardly
looks the same as anything that CMU has ever released. It was renamed
from cmu-snmp to ucd-snmp in 1995 and later renamed from ucd-snmp to
net-snmp in November 2000.



Authors:
--------
    Wes Hardaker <hardaker@users.sourceforge.net>

%package devel


Summary:        SNMP Daemon
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}, openssl-devel, rpm-devel
AutoReqProv:    on

%description devel
This package was originally based on the CMU 2.1.2.1 snmp code. It has
been greatly modified, restructured, enhanced, and fixed. It hardly
looks the same as anything that CMU has ever released. It was renamed
from cmu-snmp to ucd-snmp in 1995 and later renamed from ucd-snmp to
net-snmp in November 2000.



Authors:
--------
    Wes Hardaker <hardaker@users.sourceforge.net>

%package -n perl-SNMP


Summary:        Perl-SNMP
Group:          Development/Libraries/Perl
Requires:       %{name} = %{version}
AutoReqProv:    on

%description -n perl-SNMP
The Perl5 'SNMP' Extension Module v3.1.0 for the UCD SNMPv3 library.



Authors:
--------
    G.S. Marzot <gmarzot@nortelnetworks.com>

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch5
%patch12
%patch15
%patch18
%patch22
%patch24
%patch27
%patch28
%patch31
%patch32
%patch33
%patch34
%patch35
%patch36
%patch37
%patch38
%patch39
#%patch40 # breaks the build
%patch41
%patch42
%patch43
%patch44
%patch45
%patch46
%patch47
%patch48
%patch49
%patch50
%patch51
%patch52
%patch53
%patch54
%patch55
%patch56
%patch57
%patch58
%patch61
%patch62
%patch63
%patch64
%patch65
%patch66
%patch67
%patch68
%patch69
%patch70
%patch71
%patch72
%patch73
%patch74
%patch75
%patch76
%patch77
%patch78
%patch79
%patch80
find -name "CVS" -type d | xargs -r %{__rm} -rfv
find -name ".cvsignore"  | xargs -r %{__rm} -fv
find -name "*.orig"      | xargs -r %{__rm} -fv

%build
autoconf
# possibly add later
# ip-mib/ipv4InterfaceTable ip-mib/ipv6InterfaceTable
export CFLAGS="%{optflags} -fno-strict-aliasing -fstack-protector-all"
%configure \
	--with-sys-contact="root@localhost" \
	--with-mib-modules="host ucd-snmp/pass_persist misc/ipfwacc smux ucd-snmp/diskio ucd-snmp/lmSensors" \
	--with-persistent-directory=/var/lib/net-snmp \
	--with-sys-location="unknown" \
	--with-logfile=%{netsnmp_logfile} \
	--with-libwrap=%{_prefix} \
	--with-defaults \
	--enable-shared \
	--disable-static \
	--without-root-access \
	--enable-local-smux \
	--enable-ipv6 \
	--enable-ucd-snmp-compatibility
%{__make} all
%ifnarch %arm
ulimit -c unlimited
%{__make} test
%endif
%{__make} perlmodules
#not yet
#LD_RUN_PATH="$PWD/snmplib/.libs" LD_LIBRARY_PATH="$PWD/snmplib/.libs" %{__make} perltest

%install
%makeinstall INSTALL_PREFIX=%{buildroot}
%{__install} -Dd %{buildroot}/var/log %{buildroot}/var/lib/net-snmp %{buildroot}/usr/lib/net-snmp/agents %{buildroot}/var/run/agentx
%{__install} -D -m 0755 %{SOURCE1} %{buildroot}/etc/init.d/snmpd
%{__install} -D -m 0600 %{SOURCE2} %{buildroot}/etc/snmp/snmpd.conf
%{__install} -m 0644 %{SOURCE3} .
%{__install} -m 0644 %{SOURCE4} .
%{__install} -D -m 0644 %{SOURCE5} %{buildroot}/etc/logrotate.d/net-snmp
%{__install} -m 0744 %{SOURCE6} testing/
%{__ln_s} -f /etc/init.d/snmpd %{buildroot}%{_sbindir}/rcsnmpd
%{__install} -m 0644 /dev/null  %{buildroot}/var/log/net-snmpd.log
pushd perl
    %perl_make_install
    %perl_process_packlist
    %{__rm} -f %{buildroot}/%{perl_vendorarch}/Bundle/Makefile.subs.pl
popd
%{__grep} -v "^#define PACKAGE" %{buildroot}%{_includedir}/net-snmp/net-snmp-config.h > \
    %{buildroot}%{_includedir}/net-snmp/net-snmp-config.h.new
%{__mv}  %{buildroot}%{_includedir}/net-snmp/net-snmp-config.h{.new,}
%{__install} -D -m 0644 %{S:7} \
    %{buildroot}/var/adm/fillup-templates/sysconfig.%{name}

%clean
%{__rm} -rf %{buildroot}

%preun
%stop_on_removal snmpd

%post
# if we are upgrading from older distros the config should be moved
# to the new place
CONFD="/etc/snmp"
OCONF="/etc/snmpd.conf"
NCONF="${CONFD}/snmpd.conf"
NCONFB="${CONFD}/snmpd.conf.rpmsave"
if [ -e "$OCONF" ] ; then
#
# in worst case we will get:
# /etc/snmp/snmpd.conf         - the old /etc/snmpd.conf
# /etc/snmp/snmpd.conf.rpmnew  - the config of the newly installed package.
# /etc/snmp/snmpd.conf.rpmsave - the old /etc/snmp/snmpd.conf
#
    if [ ! -d "$CONFD" ] ; then 
        mkdir "$CONFD"
    fi
#
# we dont need to handle the case that /etc/snmp/snmpd.conf
# exists. rpm does that for us.
# it creates /etc/snmp/snmpd.conf.rpmnew
#
    if [ -e "$NCONF" ] ; then
        mv "$NCONF" "$NCONFB"
        echo "warning: /etc/snmp/snmpd.conf backed up as /etc/snmp/snmpd.conf.rpmsave" >&2
    fi
    echo "warning: /etc/snmpd.conf moved to /etc/snmp/snmpd.conf" >&2
    mv "$OCONF" "$NCONF"
fi
# we might be updating from ucdsnmp soon
/sbin/chkconfig -c snmpd 2> /dev/null && FIRST_ARG=2
%{fillup_and_insserv snmpd}

%postun
%restart_on_update snmpd
%{insserv_cleanup}

%files
%defattr(-,root,root)
%doc AGENT.txt COPYING EXAMPLE.conf EXAMPLE.conf.def
%doc README* FAQ NEWS TODO rc.snmptrapd
%dir /etc/snmp
%config(noreplace) /etc/snmp/snmpd.conf
%config /etc/init.d/snmpd
%{_bindir}/encode_keychange
%{_bindir}/fixproc
%{_bindir}/ipf-mod.pl
%{_bindir}/net-snmp-config
%{_bindir}/snmpbulkget
%{_bindir}/snmpbulkwalk
%{_bindir}/snmpcheck
%{_bindir}/snmpconf
%{_bindir}/snmpdelta
%{_bindir}/snmpdf
%{_bindir}/snmpget
%{_bindir}/snmpgetnext
%{_bindir}/snmpinform
%{_bindir}/snmpnetstat
%{_bindir}/snmpset
%{_bindir}/snmpstatus
%{_bindir}/snmptable
%{_bindir}/snmptest
%{_bindir}/snmptranslate
%{_bindir}/snmptrap
%{_bindir}/snmpusm
%{_bindir}/snmpvacm
%{_bindir}/snmpwalk
%{_bindir}/traptoemail
%dir %{_prefix}/lib/net-snmp
%dir %{_prefix}/lib/net-snmp/agents
%{_libdir}/libsnmp*.so.*
%{_libdir}/libnetsnmp*.so.*
%{_mandir}/man[158]/*
%{_sbindir}/*
%{_datadir}/snmp
/var/lib/net-snmp
%dir %attr(700,root,root) /var/run/agentx
%ghost %{netsnmp_logfile}
%config(noreplace) /etc/logrotate.d/net-snmp
/var/adm/fillup-templates/sysconfig.%{name}

%files devel
%defattr(-,root,root)
%doc ChangeLog PORTING testing
%{_mandir}/man3/*
%{_includedir}/ucd-snmp
%{_includedir}/net-snmp
%{_libdir}/libsnmp*.*a
%{_libdir}/libsnmp*.so
%{_libdir}/libnetsnmp*.*a
%{_libdir}/libnetsnmp*.so

%files -n perl-SNMP
%defattr(-,root,root)
%{perl_vendorarch}/auto/SNMP
%{perl_vendorarch}/auto/NetSNMP
%{perl_vendorarch}/auto/Bundle
%{perl_vendorarch}/SNMP.pm
%{perl_vendorarch}/NetSNMP
/var/adm/perl-modules/%{name}
%{_bindir}/tkmib
%{_bindir}/mib2c
%{_bindir}/mib2c-update

%changelog
* Thu Jul  8 2010 lchiquitto@suse.de
- added net-snmp-5.3.x_fix-clientaddr.patch:
  fix clientaddr functionality for SNMP v1 traps (bnc#613595)
* Thu Jul  8 2010 lchiquitto@suse.de
- added net-snmp-5.3.x_fix-snmpTargetAddrRowStatus-set.patch:
  fixed checking of snmpTargetAddrRowStatus SET requests (bnc#612644)
* Thu Jul  8 2010 lchiquitto@suse.de
- added net-snmp-5.3.x_fix-ifspeed-and-ifhighspeed.patch:
  correctly report NIC speeds higher than 4Gbit/s (bnc#578750)
* Thu Jul  8 2010 lchiquitto@suse.de
- added net-snmp-5.3.x_ip-mib-ipaddress-fixes.patch (bnc#574379):
  - handle full-length IPv6 addresses
  - correctly parse interface indexes higher than 0xff
  - support longer interface names
  - fixed reading of ipAddressTable from /proc/net/if_inet6
* Wed Jan 13 2010 lchiquitto@suse.de
- added net-snmp-5.3.x_fully-qualified-oid-lookups.patch:
  fix lookups of fully qualified OID names (bnc#517254)
- added net-snmp-5.3.x_fix-process-checking-race.patch:
  fix process checking race condition (bnc#517369)
* Thu Dec 17 2009 lchiquitto@suse.de
- added net-snmp-5.3.x_snmp_udp_transport-memory-leak.patch:
  fix memory leak in snmp_udp_transport (bnc#559498)
- added net-snmp-5.3.x_file-descriptor-leak.patch:
  fix file descriptor leaks (bnc#541004)
- added net-snmp-5.3.x_integer-truncation-debug.patch:
  log 32-bit truncation as debug rather than error (bnc#535603)
- added net-snmp-5.3.x_counter-wrap-crash.patch:
  fix crash when 64-bit counters wrap (bnc#523553)
- added net-snmp-5.3.x_cpu-load.patch:
  fix reading of CPU stats on multi-CPU machines and compute the
  load in proper way (bnc#517852)
- added net-snmp-5.3.x_snmptrapd-hostname.patch:
  fix unknown hostnames in snmp traps (bnc#514333)
- added net-snmp-5.3.x_snmptrapd-append-log.patch:
  handle -A as the manpage lists it as valid option (bnc#514333)
- use -LF in the snmptrapd init script (bnc#514333)
* Tue May 26 2009 mrueckert@suse.de
- added net-snmp-5.4.2_velocity-mib.patch (FATE#303556)
* Thu Mar 19 2009 mrueckert@suse.de
- added net-snmp-5.4.x_host_information_disclosure.patch:
  fix sensitive host information disclosure. CVE-2008-6123 (bnc#475532)
- init script should provide snmpd (bnc#466805)
- stop all snmp agents when stopping the daemon (bnc#473328)
- added net-snmp-5.3.x_bug_481490.patch:
  use the correct interface when replying to queries
* Fri Dec  5 2008 mrueckert@suse.de
- fix the snmptrapd init script:
  1. make sure the config isnt loaded twice.
  2. do not truncate the net-snmp.log
  3. use SNMPD_LOGLEVEL aswell.
  4. write a pid
- update snmptrapd section in README.SuSE
- whitespace cleanup in both init scripts
* Mon Nov 10 2008 mrueckert@suse.de
- added net-snmp-5.3.x_embedded_perl_error_message.patch:
  Fix typo in error message (bnc#439857)
* Thu Nov  6 2008 mrueckert@suse.de
- added net-snmp-5.3.x_duplicate_registration.patch:
  fix duplicate registration warnings on startup (bnc#326957)
- added net-snmp-5.3-shared-ip-4.patch: (bnc#396773)
  fix container insert errors reproducable with shared ip setups
- added net-snmp-5.3.x_getbulk_dos.patch:
  fix DOS bug in getbulk handling (bnc#440950) (CVE-2008-4309)
- fix typo in the snmpd init script to really load all agents
  (bnc#415127)
- fix logrotate config to restart the snmptrapd aswell (bnc#378069)
* Fri Jul  4 2008 mrueckert@suse.de
- added net-snmp-5.x_auth_bypass.patch (bnc#393159)
  make sure you compare the full hmac code. (CVE-2008-0960)
- added net-snmp-5.x_perl_bindings_overflow.patch (bnc#393944)
  do not crash when getting big octetstring packets (CVE-2008-2292)
- added net-snmp-5.3.0.1_trap-agent-addr_v2.patch: (bnc#382334)
  added v1trapaddress to configure the agent address in SNMPv1
  traps.
- added net-snmp-5.3.1-patch_query-leak.patch: (bnc#398599)
  fix a memory leak in netsnmp_query_walk
* Thu Feb 21 2008 mrueckert@suse.de
- added bug-361495_proxy-free.diff (bnc#361495):
  fix double free when using net-snmp as snmp proxy
* Thu Nov 22 2007 mrueckert@suse.de
- added net-snmp-5.3.0.1_empty_smux_peer_password.patch:
  net-snmp crashed when smux peers were configured with empty
  passwords. (#278564,#301736)
* Fri Nov 16 2007 mrueckert@suse.de
- added net-snmp-5.3.0.1_CVE-2007-5846.patch: (#339732)
  default and configurable maximum number of varbinds returnable to
  a GETBULK request (CVE-2007-5846)
* Fri Feb 16 2007 mrueckert@suse.de
- added bug-132316_net-snmp-5.1.3.1_order.patch (#132316)
  Reorder some instructions to avoid access on already freed data.
- added net-snmp-5.3.0.1_large_log_message_crash.patch (#227619,#226029)
  The logging code reused an va_list argument which lead to a segfault.
- added net-snmp-5.4_default_store_return_value.patch
  Disable dead/broken code
* Tue Oct 31 2006 mrueckert@suse.de
- added net-snmp-5.3.1-smux-password.diff:
  Fix authentication over the smux socket (#205894,#210509)
* Fri Aug  4 2006 mrueckert@suse.de
- added net-snmp-5.3.0.1_perl_ld_run_path.patch:
  the old perl replacement line broke linking of the SNMP libraries
  into the perl modules. the patch sets the LD_RUN_PATH for the
  build process to LIBDIR. (#180888)
* Thu May  4 2006 mrueckert@suse.de
- added net-snmp-5.3.0.1_sighup_vacm.patch:
  The snmp agent was broken on SIGHUP. It lost all its MIB
  informations. (upstream bug: #1473289)
- added net-snmp-5.3.0.1_deprecated_sysctl_retrans_time.patch:
  The snmpd used a deprecated sysctl to get the retransmit time
  from the kernel. We didnt use this module but the mib library
  triggered the sysctl. The patch uses retrans_time_ms when
  available and corrects the correction factor for the old sysctl.
  (bug: #170140, upstream: #1437287)
- reenabled the lmsensors support. was disabled for testing and
  never reenabled.
* Thu Apr 20 2006 mrueckert@suse.de
- net-snmp-5.3.0.1_missing_ifNumber.patch:
  The 5.3 agent on Linux systems did not implement the 'ifNumber'
  MIB object. (#159501)
* Wed Apr 19 2006 mrueckert@suse.de
- logrotate does not like if the postrotate script returns with
  a non zero returncode.
- add missing "-e" in echo line
* Mon Apr  3 2006 mrueckert@suse.de
- dont call "/etc/init.d/snmpd restart". this could start the
  daemon unconditionally (too large log file).
  switched to "/etc/init.d/snmpd try-restart"
* Mon Apr  3 2006 mrueckert@suse.de
- run logrotate on startup if the logfile is too large. (#131072)
* Tue Mar 28 2006 mrueckert@suse.de
- fix compilation with ethtool support. (#155709)
- added option to ignore accepted connections (#86634)
  net-snmp-5.3.0.1_tcpwrapper_log_severity.patch
  new sysconfig option: SNMPD_LOG_SUCCESSFUL_CONNECTIONS
- pass the correct path to configure to set the desired log file
- make smux listen to localhost by default. (#116742)
- remove confpath patch. (#147808,#159768)
* Mon Mar 27 2006 mrueckert@suse.de
- updated and reenabled the audit patch
* Fri Mar 17 2006 mrueckert@suse.de
- ported sysconfig options from sles9
  SNMPD_LOGLEVEL -> SPECIFY the log level for the snmpd
  SNMPD_USE_SMUX -> disable SMUX socket
* Fri Mar 10 2006 mrueckert@suse.de
- disable embedded perl for now.
* Wed Mar  8 2006 mrueckert@suse.de
- added net-snmp-5.3.0.1_agentx_socket_path_doc.patch:
  fixes: net-snmp snmpd.conf(5) manpage gives wrong default
  for AgentXSocket (#129437)
- ported fix for bug #129923 from sles9
- suppress the error message in the ucd-snmp upgrade script
* Wed Feb 22 2006 mrueckert@suse.de
- we move the configs into /etc/snmp [#77935]
- removed debugging packages from the build requires.
* Thu Feb 16 2006 mrueckert@suse.de
- added net-snmp-5.3.0.1-smux-trap.diff
  dont loose the value of string variables via smux traps [#150091]
* Fri Feb  3 2006 mrueckert@suse.de
- added net-snmp-5.3.0.1_disman_mib_crash.patch
  o fixes a crash in the disman mib loading
- net-snmp-5.3.0.1_netsnmp_register_mib_crash.patch
  o dont crash while registering mibs
- net-snmp-5.3_perl_agent.xs-pointersize.patch
  o dont use int if you mean intptr_t(IV)
- net-snmp-5.3_perl-printf.patch
  o unused format specifier in printf
- net-snmp-5.3_vendorperl.patch
  o do make install_vendor
* Wed Jan 25 2006 mrueckert@suse.de
- removed net-snmp-5.2.1-cmdline.diff
  better solution from upstream
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 mrueckert@suse.de
- update to version 5.3.0.1
- removed patches that got applied upstream or superseeded by
  upstream fixes:
  net-snmp-5.2.1-uptime.diff
  net-snmp-5.2.1-typeclash.diff
  net-snmp-5.2.1-gcc.diff
  net-snmp-5.2.1-dlopen-conf.diff
  net-snmp-5.2.1-enomedium.diff
  net-snmp-5.2.1-mktemp.diff
  net-snmp-5.2.1-close-all-fds.diff
  net-snmp-5.2.1-more-cpus.diff
  net-snmp-5.2.1-nowraplibs.patch
  net-snmp-5.2.1.set-var-value.patch
- added 4 new patches:
  net-snmp-5.3_perl_agent.xs-pointersize.patch
  - fixes some casts of pointers to ints -> segfaults in the test
    suite
  net-snmp-5.3_perl-printf.patch
  - fixes a printf warning
  net-snmp-5.3_vendorperl.patch
  - call perl modules install with install_vendor
  net-snmp-5.1.1-pie.patch
  - build snmpd and snmptrapd with pie
* Tue Nov 15 2005 uli@suse.de
- no point in running the test suite in QEMU
* Wed Sep  7 2005 mrueckert@suse.de
- Added rpm-devel to the requires of the -devel package
* Fri Jun 17 2005 mrueckert@suse.de
- added disman/event-mib to the mib list (Bug #91039)
- replaced patch25 (asn1 handling fix) with patch from the upstream.
  (Bug #73804)
- build snmpd and snmptrap with with -fpie/-pie
* Fri Jun 10 2005 mrueckert@suse.de
- Fixed test suite for boxes with empty arp tables.
* Tue May 17 2005 hvogel@suse.de
- Include the right header for compat mode (Bug #64074)
- Fix length for type ASN_UNSIGNED (Bug #73804)
- Get rid of WRAPLIBS in net-snmp-config (Bug #75879)
- Fix ac quotation
* Tue Feb 22 2005 meissner@suse.de
- moved tkmib and mib2c* to perl subpackage, since
  they require it. #63992
* Wed Feb 16 2005 meissner@suse.de
- Multiple non Intel CPU detection added.
* Sun Feb  6 2005 meissner@suse.de
- Upgraded to 5.1.2 release. (lots of bugfixes as usual)
* Wed Feb  2 2005 meissner@suse.de
- overflow counter32 and gauge32 on 64bit systems correctly. #50384
* Fri Nov 26 2004 meissner@suse.de
- close all non standard filedescriptors on start.
* Thu Nov 25 2004 meissner@suse.de
- Upgraded to 5.2 final.
* Mon Oct 25 2004 meissner@suse.de
- Upgraded to 5.2.1rc2. Dropped merged patches, rediffed
  old ones.
* Tue Aug 17 2004 coolo@suse.de
- fixing pre-requires
* Thu Aug 12 2004 meissner@suse.de
- Upgrade to 5.1.2 final.
* Thu Jul 29 2004 meissner@suse.de
- Upgraded to upstream 5.1.2.rc2.
* Fri Jul 23 2004 meissner@suse.de
- Upgraded to 5.1.2.rc1.
- Dropped some old patches / parts of old patches.
- Fixed problem on little endian 64bit machines.
* Thu Jul 15 2004 meissner@suse.de
- removed double free on failure in netsnmp_register_old_api().
  (bug #42580)
- do not specify -c /etc/snmpd.conf (since it is already built in).
  (bug #41706)
- require openssl-devel in -devel package.
* Tue Jul  6 2004 meissner@suse.de
- replaced undefined C construct (x[n] = y[n++]) which caused the
  testsuite to fail on i386.
* Mon Jul  5 2004 uli@suse.de
- sleep .3 s before starting agents (bug #42588)
* Wed Jun 30 2004 meissner@suse.de
- Fixed 2 places of file descriptor leakage which lead to segfaults
  during readdir/fgets. #33958
* Fri Mar 19 2004 meissner@suse.de
- remove the #define PACKAGE_ from the included autoconf
  generated config.h file. #36355
* Fri Mar 19 2004 ro@suse.de
- use stop_on_removal and restart_on_update macros (#36306)
- package /var/log/net-snmp as %%ghost (#36435)
* Wed Mar 17 2004 ro@suse.de
- use mktemp in fixproc (#36103)
* Mon Mar 15 2004 ro@suse.de
- avoid segfault in version-info (limit to 300 bytes)
- open devices with NONBLOCK, don't wait for cdrom
- avoid segfault in proc-cmdline output
* Mon Feb 16 2004 ro@suse.de
- previous 64-bit fix went just one bit too far, fixed
* Wed Feb 11 2004 ro@suse.de
- added smux mib (for quagga)
* Mon Feb  9 2004 ro@suse.de
- fix dlopen detection in configure
* Wed Feb  4 2004 ro@suse.de
- added requires for perl-TermReadKey
* Tue Jan 20 2004 ro@suse.de
- try to fix at least some 64bit issues (eg. #33958)
* Thu Jan 15 2004 ro@suse.de
- update arguments in rc-script
* Fri Jan  9 2004 kukuk@suse.de
- Fix some 64bit critical compiler warnings
* Fri Dec 12 2003 hare@suse.de
- Fixed includes for build with evlog.
* Fri Nov 14 2003 ro@suse.de
- update to 5.1
* Fri Nov 14 2003 ro@suse.de
- build perl module as perl-SNMP
* Fri Nov 14 2003 ro@suse.de
- enable ucd-snmp compatibility
* Thu Oct 23 2003 ro@suse.de
- update to 5.1.pre2
* Thu Oct 23 2003 ro@suse.de
- revised audit patch
- branched devel subpackage
- added rpm support
* Wed Oct 22 2003 ro@suse.de
- created package and ported patches from ucd-snmp
